<?php

include 'icl/showtemplate.inc.php';

function updatetemplate(){
	$templateid=GETVAL('templateid');	
	$templatename=QETSTR('templatename');
	$templatetext=QETSTR('templatetext');
	
	gsguard($templateid,array('templatetypes','templates'),array('templatetypeid-templatetypeid','templateid'));
	
	checkgskey('updatetemplate_'.$templateid);

	global $db;

	$query="update templates set templatename='$templatename',templatetext='$templatetext' where templateid=$templateid";
	sql_query($query,$db);
	
	logaction("updated Template #$templateid $templatename",
		array('templateid'=>$templateid,'templatename'=>"$templatename"),
		array('rectype'=>'template','recid'=>$templateid));

	showtemplate($templateid);
}
